## python-oslo.config 8.3.3

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

debtcollector>=1.2.0 # Apache-2.0
netaddr>=0.7.18 # BSD
stevedore>=1.20.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
rfc3986>=1.2.0 # Apache-2.0
PyYAML>=3.12 # MIT
requests>=2.18.0 # Apache-2.0
importlib_metadata>=1.7.0;python_version<'3.8' # Apache-2.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

sphinx>=1.8.0,!=2.1.0 # BSD
sphinxcontrib-apidoc>=0.2.0  # BSD
openstackdocstheme>=1.20.0 # Apache-2.0
reno>=2.5.0 # Apache-2.0
fixtures>=3.0.0 # Apache-2.0/BSD
doc8>=0.6.0 # Apache-2.0

=== debian/changelog ===
python-oslo.config (1:8.3.3-1) unstable; urgency=medium

  * New upstream version
  * d/control: Add me to uploaders field
  * d/copyright: Add my entry

 -- Michal Arbet <michal.arbet@ultimum.io>  Sun, 20 Dec 2020 09:59:32 +0100

python-oslo.config (1:8.3.2-2) unstable; urgency=medium

  * Uploading to unstable.
  * Fixed d/watch.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Oct 2020 23:09:08 +0200

python-oslo.config (1:8.3.2-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 13 Sep 2020 11:22:44 +0200

python-oslo.config (1:8.3.1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 09 Sep 2020 20:52:33 +0200

python-oslo.config (1:8.0.3-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 06 Jul 2020 11:35:31 +0200

python-oslo.config (1:8.0.2-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 08 May 2020 21:55:47 +0200

python-oslo.config (1:8.0.2-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 08 May 2020 21:39:59 +0200

python-oslo.config (1:8.0.2-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 07 Apr 2020 14:30:47 +0200

python-oslo.config (1:6.11.2-1) unstable; urgency=medium

  * New upstream point release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 26 Mar 2020 14:13:29 +0100

=== debian/control ===
Source: python-oslo.config
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
 Corey Bryant <corey.bryant@canonical.com>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all (>= 3.2),
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 bandit,
 python3-coverage,
 python3-debtcollector,
 python3-docutils,
 python3-fixtures,
 python3-hacking,
 python3-importlib-metadata,
 python3-mimeparse,
 python3-mypy (>= 0.770),
 python3-netaddr,
 python3-openstackdocstheme (>= 1.17.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslotest (>= 1:3.2.0),
 python3-requests (>= 2.18.0),
 python3-requests-mock (>= 1.5.0),
 python3-rfc3986 (>= 1.2.0),
 python3-sphinxcontrib.apidoc,
 python3-stestr,
 python3-stevedore (>= 1.20.0),
 python3-testscenarios,
 python3-testtools (>= 2.2.0),
 python3-yaml,
 subunit,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/oslo/python-oslo.config
Vcs-Git: https://salsa.debian.org/openstack-team/oslo/python-oslo.config.git
Homepage: https://github.com/openstack/oslo.config

Package: python-oslo.config-doc
Section: doc
Multi-Arch: foreign
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Common code for Openstack Projects (configuration API) - doc
 The OpenStack Oslo project provides Python libraries containing
 infrastructure code shared by OpenStack projects.
 .
 The OpenStack Oslo Configuration API supports parsing command line
 arguments and .ini style configuration files.
 .
 This package provides the documentation.

Package: python3-oslo.config
Architecture: all
Depends:
 python3-debtcollector,
 python3-docutils,
 python3-importlib-metadata,
 python3-netaddr,
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-pbr (>= 2.0.0),
 python3-requests (>= 2.18.0),
 python3-rfc3986 (>= 1.2.0),
 python3-stevedore (>= 1.20.0),
 python3-yaml,
 ${misc:Depends},
 ${python3:Depends},
Description: Common code for Openstack Projects (configuration API) - Python 3.x
 The OpenStack Oslo project provides Python libraries containing
 infrastructure code shared by OpenStack projects.
 .
 The OpenStack Oslo Configuration API supports parsing command line
 arguments and .ini style configuration files.
 .
 This package provides the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

LAST_CHANGE = $(shell dpkg-parsechangelog -S Date)
BUILD_DATE  = $(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(LAST_CHANGE)")
SPHINXOPTS := -D html_last_updated_fmt="$(BUILD_DATE)"

UPSTREAM_GIT := https://github.com/openstack/oslo.config.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'oslo_config\.tests\.(?!.*test_generator\.IgnoreDoublesTestCase\.test_list_ignores_doubles.*)'
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	if PYTHONPATH=$(CURDIR) PYTHON=python3 python3 -m sphinx $(SPHINXOPTS) -b html doc/source $(CURDIR)/debian/python-oslo.config-doc/usr/share/doc/python-oslo.config-doc/html ; then \
		echo "Sphinx doc built." ; \
	else \
		echo "Error building doc." ; \
		cat /tmp/sphinx-err* ; \
		exit 1 ; \
	fi
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

## python-oslo.config 8.3.4

=== debian/changelog ===
python-oslo.config (1:8.3.4-1~bpo11+1) UNRELEASED; urgency=medium

  [ Michal Arbet ]
  * New upstream version
  * Add Add_choices_parameter_for_IntOpt_class.patch.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-victoria.infomaniak.ch>  Mon, 18 Dec 2023 09:26:54 +0000

## python-oslo.config 8.5.0

=== debian/changelog ===
python-oslo.config (1:8.5.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release for OpenStack Wallaby.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 17 Mar 2021 13:55:20 -0400

python-oslo.config (1:8.4.0-0ubuntu1) hirsute; urgency=medium

  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.
  * New upstream release for OpenStack Wallaby.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Fri, 04 Dec 2020 14:23:31 +0000

=== debian/control ===
Source: python-oslo.config
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Corey Bryant <corey.bryant@canonical.com>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 openstack-pkg-tools,
 python3-all (>= 3.2),
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.8.0),
Build-Depends-Indep:
 bandit,
 python3-coverage (>= 4.0),
 python3-debtcollector (>= 1.2.0),
 python3-docutils,
 python3-fixtures (>= 3.0.0),
 python3-hacking (>= 1.1.0),
 python3-importlib-metadata (>=1.6.0),
 python3-mimeparse,
 python3-mock (>= 3.0.5),
 python3-mypy (>= 0.720),
 python3-netaddr (>= 0.7.18),
 python3-openstackdocstheme (>= 1.20.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslotest (>= 1:3.2.0),
 python3-requests (>= 2.18.0),
 python3-requests-mock (>= 1.5.0),
 python3-rfc3986 (>= 1.2.0),
 python3-six (>= 1.10.0),
 python3-sphinxcontrib.apidoc (>= 0.2.0),
 python3-stestr (>= 2.1.0),
 python3-stevedore (>= 1:1.20.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-yaml (>= 5.1),
 subunit,
Standards-Version: 4.5.0
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-oslo.config
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-oslo.config
Homepage: https://github.com/openstack/oslo.config

Package: python-oslo.config-doc
Section: doc
Multi-Arch: foreign
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Common code for Openstack Projects (configuration API) - doc
 The OpenStack Oslo project provides Python libraries containing
 infrastructure code shared by OpenStack projects.
 .
 The OpenStack Oslo Configuration API supports parsing command line
 arguments and .ini style configuration files.
 .
 This package provides the documentation.

Package: python3-oslo.config
Architecture: all
Depends:
 python3-debtcollector (>= 1.2.0),
 python3-docutils,
 python3-importlib-metadata (>=1.6.0),
 python3-netaddr (>= 0.7.18),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-pbr (>= 2.0.0),
 python3-requests (>= 2.18.0),
 python3-rfc3986 (>= 1.2.0),
 python3-six (>= 1.10.0),
 python3-stevedore (>= 1:1.20.0),
 python3-yaml (>= 5.1),
 ${misc:Depends},
 ${python3:Depends},
Description: Common code for Openstack Projects (configuration API) - Python 3.x
 The OpenStack Oslo project provides Python libraries containing
 infrastructure code shared by OpenStack projects.
 .
 The OpenStack Oslo Configuration API supports parsing command line
 arguments and .ini style configuration files.
 .
 This package provides the Python 3.x module.

## python-oslo.config 8.7.1

=== debian/changelog ===
python-oslo.config (1:8.7.1-0ubuntu1~cloud0) focal-xena; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 21 Jul 2021 19:54:39 +0000

python-oslo.config (1:8.7.1-0ubuntu1) impish; urgency=medium

  * New upstream release for OpenStack Xena.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 21 Jul 2021 09:40:14 -0400

## python-oslo.config 8.8.0

=== debian/changelog ===
python-oslo.config (1:8.8.0-0ubuntu1) jammy; urgency=medium

  * New upstream release for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 02 Mar 2022 15:14:47 -0500

=== debian/control ===
--- 
+++ 
@@ -16,12 +16,12 @@
  python3-sphinx (>= 1.8.0),
 Build-Depends-Indep:
  bandit,
- python3-coverage (>= 4.0),
+ python3-coverage,
  python3-debtcollector (>= 1.2.0),
  python3-docutils,
  python3-fixtures (>= 3.0.0),
- python3-hacking (>= 1.1.0),
- python3-importlib-metadata (>=1.6.0),
+ python3-hacking,
+ python3-importlib-metadata (>= 1.7.0),
  python3-mimeparse,
  python3-mock (>= 3.0.5),
  python3-mypy (>= 0.720),
@@ -67,7 +67,7 @@
 Depends:
  python3-debtcollector (>= 1.2.0),
  python3-docutils,
- python3-importlib-metadata (>=1.6.0),
+ python3-importlib-metadata (>= 1.7.0),
  python3-netaddr (>= 0.7.18),
  python3-oslo.i18n (>= 3.15.3),
  python3-oslo.log (>= 3.36.0),

## python-oslo.config 8.8.1

=== debian/changelog ===
python-oslo.config (1:8.8.1-1~bpo11+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-xena.infomaniak.ch>  Thu, 06 Nov 2025 15:13:33 +0000

python-oslo.config (1:8.8.0-4) UNRELEASED; urgency=medium

  * Add Add_choices_parameter_for_IntOpt_class.patch.

 -- Thomas Goirand <zigo@debian.org>  Mon, 18 Dec 2023 10:18:18 +0100

python-oslo.config (1:8.8.0-3) unstable; urgency=medium

  * Autopkgtest: blacklist test_conf_file_permission_denied.

 -- Thomas Goirand <zigo@debian.org>  Fri, 01 Apr 2022 15:38:21 +0200

python-oslo.config (1:8.8.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Thu, 24 Mar 2022 15:40:36 +0100

python-oslo.config (1:8.8.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Feb 2022 11:25:03 +0100

python-oslo.config (1:8.7.1-3) unstable; urgency=medium

  * Blacklist failing tests (Closes: #1002435):
    - HelpTestCase.test_print_help
    - HelpTestCase.test_print_strOpt_with_choices_help

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Dec 2021 15:51:18 +0100

python-oslo.config (1:8.7.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Sep 2021 16:15:25 +0200

python-oslo.config (1:8.7.1-1) experimental; urgency=medium

  * New upstream release. 
  * Added myself in copyright and uploaders.

 -- papamica <mickael@papamica.com>  Mon, 23 Aug 2021 07:11:28 -0500

python-oslo.config (1:8.5.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 08:57:39 +0200

python-oslo.config (1:8.5.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed (build-)depends versions when satisfied in Bullseye.

 -- Thomas Goirand <zigo@debian.org>  Mon, 08 Mar 2021 08:43:09 +0100

## python-oslo.config 9.0.0

=== requirements.txt ===
--- 
+++ 
@@ -7,6 +7,6 @@
 stevedore>=1.20.0 # Apache-2.0
 oslo.i18n>=3.15.3 # Apache-2.0
 rfc3986>=1.2.0 # Apache-2.0
-PyYAML>=3.12 # MIT
+PyYAML>=5.1 # MIT
 requests>=2.18.0 # Apache-2.0
 importlib_metadata>=1.7.0;python_version<'3.8' # Apache-2.0

=== debian/changelog ===
python-oslo.config (1:9.0.0-3) unstable; urgency=medium

  * Add fix-oslo.config-test-under-bullseye.patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 27 Sep 2022 10:34:16 +0200

python-oslo.config (1:9.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Sep 2022 13:44:13 +0200

python-oslo.config (1:9.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Aug 2022 15:50:48 +0200

=== debian/control ===
Source: python-oslo.config
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
 Corey Bryant <corey.bryant@canonical.com>,
 Mickael Asseline <mickael@papamica.com>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 bandit,
 python3-coverage,
 python3-debtcollector,
 python3-docutils,
 python3-fixtures,
 python3-hacking,
 python3-importlib-metadata,
 python3-mimeparse,
 python3-mypy,
 python3-netaddr,
 python3-openstackdocstheme,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslotest,
 python3-requests,
 python3-requests-mock,
 python3-rfc3986,
 python3-sphinxcontrib.apidoc,
 python3-stestr,
 python3-stevedore,
 python3-testscenarios,
 python3-testtools,
 python3-yaml,
 subunit,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/oslo/python-oslo.config
Vcs-Git: https://salsa.debian.org/openstack-team/oslo/python-oslo.config.git
Homepage: https://github.com/openstack/oslo.config

Package: python-oslo.config-doc
Section: doc
Multi-Arch: foreign
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Common code for Openstack Projects (configuration API) - doc
 The OpenStack Oslo project provides Python libraries containing
 infrastructure code shared by OpenStack projects.
 .
 The OpenStack Oslo Configuration API supports parsing command line
 arguments and .ini style configuration files.
 .
 This package provides the documentation.

Package: python3-oslo.config
Architecture: all
Depends:
 python3-debtcollector,
 python3-docutils,
 python3-importlib-metadata,
 python3-netaddr,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-pbr,
 python3-requests,
 python3-rfc3986,
 python3-stevedore,
 python3-yaml,
 ${misc:Depends},
 ${python3:Depends},
Description: Common code for Openstack Projects (configuration API) - Python 3.x
 The OpenStack Oslo project provides Python libraries containing
 infrastructure code shared by OpenStack projects.
 .
 The OpenStack Oslo Configuration API supports parsing command line
 arguments and .ini style configuration files.
 .
 This package provides the Python 3.x module.

=== debian/rules ===
--- 
+++ 
@@ -24,7 +24,7 @@
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	pkgos-dh_auto_test --no-py2 'oslo_config\.tests\.(?!.*test_generator\.IgnoreDoublesTestCase\.test_list_ignores_doubles.*)'
+	pkgos-dh_auto_test --no-py2 'oslo_config\.tests\.(?!.*test_generator\.IgnoreDoublesTestCase\.test_list_ignores_doubles.*|.*test_cfg.HelpTestCase\.test_print_help.*|.*test_cfg.HelpTestCase\.test_print_strOpt_with_choices_help.*)'
 endif
 
 override_dh_sphinxdoc:

## python-oslo.config 9.1.1

=== debian/changelog ===
python-oslo.config (1:9.1.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 11:22:15 +0200

python-oslo.config (1:9.1.1-1) experimental; urgency=medium

  * New upstream release.
  * Removed fix-oslo.config-test-under-bullseye.patch, not needed anymore.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Feb 2023 10:18:52 +0100

## python-oslo.config 9.2.0

=== debian/changelog ===
python-oslo.config (1:9.2.0-0ubuntu1~cloud0) jammy-bobcat; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 29 Sep 2023 04:56:44 +0000

python-oslo.config (1:9.2.0-0ubuntu1) mantic; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    bobcat.
  * New upstream release for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 28 Sep 2023 09:42:29 -0400

python-oslo.config (1:9.1.1-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 22 Feb 2023 14:10:15 -0500

python-oslo.config (1:9.1.0-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 12 Jan 2023 15:29:46 -0500

python-oslo.config (1:9.0.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.
  * d/control: Switch to debhelper compat 13.
  * d/control: Update standards version to 4.6.1.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 13 Jul 2022 15:44:13 -0400

=== debian/control ===
Source: python-oslo.config
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Corey Bryant <corey.bryant@canonical.com>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools,
 python3-all (>= 3.2),
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.8.0),
Build-Depends-Indep:
 bandit,
 python3-coverage,
 python3-debtcollector (>= 1.2.0),
 python3-docutils,
 python3-fixtures (>= 3.0.0),
 python3-hacking,
 python3-importlib-metadata (>= 1.7.0),
 python3-mimeparse,
 python3-mock (>= 3.0.5),
 python3-mypy (>= 0.720),
 python3-netaddr (>= 0.7.18),
 python3-openstackdocstheme (>= 1.20.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslotest (>= 1:3.2.0),
 python3-requests (>= 2.18.0),
 python3-requests-mock (>= 1.5.0),
 python3-rfc3986 (>= 1.2.0),
 python3-six (>= 1.10.0),
 python3-sphinxcontrib.apidoc (>= 0.2.0),
 python3-stestr (>= 2.1.0),
 python3-stevedore (>= 1:1.20.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-yaml (>= 5.1),
 subunit,
Standards-Version: 4.6.1
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-oslo.config
Homepage: https://opendev.org/openstack/oslo.config

Package: python-oslo.config-doc
Section: doc
Multi-Arch: foreign
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Common code for Openstack Projects (configuration API) - doc
 The OpenStack Oslo project provides Python libraries containing
 infrastructure code shared by OpenStack projects.
 .
 The OpenStack Oslo Configuration API supports parsing command line
 arguments and .ini style configuration files.
 .
 This package provides the documentation.

Package: python3-oslo.config
Architecture: all
Depends:
 python3-debtcollector (>= 1.2.0),
 python3-docutils,
 python3-importlib-metadata (>= 1.7.0),
 python3-netaddr (>= 0.7.18),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-pbr (>= 2.0.0),
 python3-requests (>= 2.18.0),
 python3-rfc3986 (>= 1.2.0),
 python3-six (>= 1.10.0),
 python3-stevedore (>= 1:1.20.0),
 python3-yaml (>= 5.1),
 ${misc:Depends},
 ${python3:Depends},
Description: Common code for Openstack Projects (configuration API) - Python 3.x
 The OpenStack Oslo project provides Python libraries containing
 infrastructure code shared by OpenStack projects.
 .
 The OpenStack Oslo Configuration API supports parsing command line
 arguments and .ini style configuration files.
 .
 This package provides the Python 3.x module.

## python-oslo.config 9.3.0

=== requirements.txt ===
--- 
+++ 
@@ -9,4 +9,3 @@
 rfc3986>=1.2.0 # Apache-2.0
 PyYAML>=5.1 # MIT
 requests>=2.18.0 # Apache-2.0
-importlib_metadata>=1.7.0;python_version<'3.8' # Apache-2.0

=== debian/changelog ===
python-oslo.config (1:9.3.0-0ubuntu1) noble; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    caracal.

  [ James Page ]
  * New upstream release for OpenStack Caracal.
  * d/control: Drop python3-importlib-metadata from BD's as not required
    for newer Pythons.
  * d/control: Add libjs-underscore to BD's.
  * d/*: wrap-and-sort -bast.

 -- James Page <james.page@ubuntu.com>  Tue, 16 Jan 2024 14:10:17 +0000

## python-oslo.config 9.4.0

=== requirements.txt ===
debtcollector>=1.2.0 # Apache-2.0
netaddr>=0.7.18 # BSD
stevedore>=1.20.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
rfc3986>=1.2.0 # Apache-2.0
PyYAML>=5.1 # MIT
requests>=2.18.0 # Apache-2.0

=== debian/changelog ===
python-oslo.config (1:9.4.0-0ubuntu1) noble; urgency=medium

  * New upstream release for OpenStack Caracal.

 -- James Page <james.page@canonical.com>  Mon, 11 Mar 2024 10:18:20 +0000

=== debian/control ===
--- 
+++ 
@@ -16,12 +16,12 @@
  python3-sphinx (>= 1.8.0),
 Build-Depends-Indep:
  bandit,
+ libjs-underscore,
  python3-coverage,
  python3-debtcollector (>= 1.2.0),
  python3-docutils,
  python3-fixtures (>= 3.0.0),
  python3-hacking,
- python3-importlib-metadata (>= 1.7.0),
  python3-mimeparse,
  python3-mock (>= 3.0.5),
  python3-mypy (>= 0.720),

=== debian/tests/control ===
Tests: python-import
Depends:
 python3-os-testr,
 @,
 @builddeps@,
Restrictions: allow-stderr

## python-oslo.config 9.6.0

=== debian/changelog ===
python-oslo.config (1:9.6.0-6) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090565).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 09:12:06 +0100

python-oslo.config (1:9.6.0-5) unstable; urgency=medium

  * Add Fix_typo_for_shell_completion.patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 25 Sep 2024 08:31:47 +0200

python-oslo.config (1:9.6.0-4) unstable; urgency=medium

  * Synlink the templates folder at the correct spot.

 -- Thomas Goirand <zigo@debian.org>  Tue, 24 Sep 2024 16:49:33 +0200

python-oslo.config (1:9.6.0-3) unstable; urgency=medium

  * Add install-all-files.patch to install the completion templates.

 -- Thomas Goirand <zigo@debian.org>  Tue, 24 Sep 2024 16:42:53 +0200

python-oslo.config (1:9.6.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Sep 2024 17:46:05 +0200

python-oslo.config (1:9.6.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 26 Aug 2024 14:50:47 +0200

python-oslo.config (1:9.4.0-3) unstable; urgency=medium

  * Blacklist test_cfg\.SubCommandTestCase\.test_sub_command_multiple. See
    upstream bug: https://bugs.launchpad.net/oslo.config/+bug/2074130.
    (Closes: #1076911).

 -- Thomas Goirand <zigo@debian.org>  Fri, 26 Jul 2024 04:09:58 +0200

python-oslo.config (1:9.4.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 03 Apr 2024 16:30:10 +0200

python-oslo.config (1:9.4.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed importlib_metadata from (b-)depends.
  * Add Add_choices_parameter_for_IntOpt_class.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Sat, 24 Feb 2024 21:28:16 +0100

python-oslo.config (1:9.2.0-3) unstable; urgency=medium

  * Add Add_choices_parameter_for_IntOpt_class.patch.

 -- Thomas Goirand <zigo@debian.org>  Mon, 18 Dec 2023 10:10:02 +0100

python-oslo.config (1:9.2.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Oct 2023 13:13:21 +0200

python-oslo.config (1:9.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Cleans even better.

 -- Thomas Goirand <zigo@debian.org>  Wed, 30 Aug 2023 12:07:23 +0200

python-oslo.config (1:9.1.1-3) unstable; urgency=medium

  * Cleans better (Closes: #1045526).

 -- Thomas Goirand <zigo@debian.org>  Tue, 15 Aug 2023 14:21:25 +0200

=== debian/control ===
Source: python-oslo.config
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
 Corey Bryant <corey.bryant@canonical.com>,
 Mickael Asseline <mickael@papamica.com>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 bandit,
 python3-coverage,
 python3-debtcollector,
 python3-docutils,
 python3-fixtures,
 python3-hacking,
 python3-mimeparse,
 python3-mypy,
 python3-netaddr,
 python3-openstackdocstheme,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslotest,
 python3-requests,
 python3-requests-mock,
 python3-rfc3986,
 python3-sphinxcontrib.apidoc,
 python3-stestr,
 python3-stevedore,
 python3-testscenarios,
 python3-testtools,
 python3-yaml,
 subunit,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/oslo/python-oslo.config
Vcs-Git: https://salsa.debian.org/openstack-team/oslo/python-oslo.config.git
Homepage: https://github.com/openstack/oslo.config

Package: python-oslo.config-doc
Section: doc
Multi-Arch: foreign
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Common code for Openstack Projects (configuration API) - doc
 The OpenStack Oslo project provides Python libraries containing
 infrastructure code shared by OpenStack projects.
 .
 The OpenStack Oslo Configuration API supports parsing command line
 arguments and .ini style configuration files.
 .
 This package provides the documentation.

Package: python3-oslo.config
Architecture: all
Depends:
 python3-debtcollector,
 python3-docutils,
 python3-netaddr,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-pbr,
 python3-requests,
 python3-rfc3986,
 python3-stevedore,
 python3-yaml,
 ${misc:Depends},
 ${python3:Depends},
Description: Common code for Openstack Projects (configuration API) - Python 3.x
 The OpenStack Oslo project provides Python libraries containing
 infrastructure code shared by OpenStack projects.
 .
 The OpenStack Oslo Configuration API supports parsing command line
 arguments and .ini style configuration files.
 .
 This package provides the Python 3.x module.

=== debian/rules ===
--- 
+++ 
@@ -8,10 +8,14 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
+	dh $@ --buildsystem=pybuild --with python3,sphinxdoc
 
 override_dh_auto_clean:
-	rm -rf build
+	rm -rf build *.egg-info
+	rm -rf doc/source/reference/api
+	rm -f doc/source/sample.config
+	find . -iname '*.pyc' -delete
+	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
 
 override_dh_auto_build:
 	echo "Do nothing..."
@@ -21,10 +25,11 @@
 
 override_dh_python3:
 	dh_python3 --shebang=/usr/bin/python3
+	ln -s sources/templates $(CURDIR)/debian/python3-oslo.config/usr/lib/python3/dist-packages/oslo_config/templates
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	pkgos-dh_auto_test --no-py2 'oslo_config\.tests\.(?!.*test_generator\.IgnoreDoublesTestCase\.test_list_ignores_doubles.*|.*test_cfg.HelpTestCase\.test_print_help.*|.*test_cfg.HelpTestCase\.test_print_strOpt_with_choices_help.*)'
+	pkgos-dh_auto_test --no-py2 'oslo_config\.tests\.(?!.*test_generator\.IgnoreDoublesTestCase\.test_list_ignores_doubles.*|.*test_cfg.HelpTestCase\.test_print_help.*|.*test_cfg.HelpTestCase\.test_print_strOpt_with_choices_help.*|test_cfg\.SubCommandTestCase\.test_sub_command_multiple)'
 endif
 
 override_dh_sphinxdoc:
@@ -36,6 +41,6 @@
 		cat /tmp/sphinx-err* ; \
 		exit 1 ; \
 	fi
-	dh_sphinxdoc -O--buildsystem=python_distutils
+	dh_sphinxdoc -O--buildsystem=pybuild
 endif

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/oslo.config/tags .*/(\d[brc\d\.]+)\.tar\.gz

## python-oslo.config 9.7.0

=== debian/changelog ===
python-oslo.config (1:9.7.0-0ubuntu1) plucky; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    epoxy.
  * New upstream release for OpenStack Epoxy.
  * d/p/py312-argparse-compat.patch: Drop, included in release.
  * d/p*: Refresh.
  * d/control: Drop dependencies that are no longer required.

 -- James Page <james.page@ubuntu.com>  Thu, 16 Jan 2025 11:52:16 +0000

python-oslo.config (1:9.6.0-0ubuntu1) oracular; urgency=medium

  * d/gbp.conf: upstream-branch -> upstream-dalmatian.
  * New upstream release for OpenStack Dalmatian.
  * d/p/py312-argparse-compat.patch: Fix compatibility with Python 3.12
    argparse behaviour.

 -- James Page <james.page@ubuntu.com>  Tue, 24 Sep 2024 13:50:33 +0100

python-oslo.config (1:9.5.0-0ubuntu1) oracular; urgency=medium

  * New upstream release.

 -- James Page <james.page@ubuntu.com>  Mon, 05 Aug 2024 10:44:09 +0100

## python-oslo.config 9.7.1

=== requirements.txt ===
--- 
+++ 
@@ -1,3 +1,7 @@
+# Requirements lower bounds listed here are our best effort to keep them up to
+# date but we do not test them so no guarantee of having them all correct. If
+# you find any incorrect lower bounds, let us know or propose a fix.
+
 debtcollector>=1.2.0 # Apache-2.0
 netaddr>=0.7.18 # BSD
 stevedore>=1.20.0 # Apache-2.0

=== debian/changelog ===
python-oslo.config (1:9.7.1-3) unstable; urgency=medium

  * Uploading to unstable.
  * Remove now obsolete debian/python3-oslo.config.{prerm,postrm}.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 10:15:26 +0100

python-oslo.config (1:9.7.1-2) experimental; urgency=medium

  * d/watch: switch to version=4 and mode=git.

 -- Thomas Goirand <zigo@debian.org>  Tue, 25 Feb 2025 14:52:23 +0100

python-oslo.config (1:9.7.1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed build-depends for this release.
  * Removed Fix_typo_for_shell_completion.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Mon, 24 Feb 2025 14:02:12 +0100

=== debian/control ===
--- 
+++ 
@@ -16,12 +16,10 @@
  python3-setuptools,
  python3-sphinx,
 Build-Depends-Indep:
- bandit,
  python3-coverage,
  python3-debtcollector,
  python3-docutils,
  python3-fixtures,
- python3-hacking,
  python3-mimeparse,
  python3-mypy,
  python3-netaddr,

## python-oslo.config 10.0.0

=== debian/changelog ===
python-oslo.config (1:10.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 28 Sep 2025 20:36:39 +0200

python-oslo.config (1:10.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed python3-debtcollector from (build-)depends.

 -- Thomas Goirand <zigo@debian.org>  Thu, 28 Aug 2025 15:52:08 +0200

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,6 @@
  python3-sphinx,
 Build-Depends-Indep:
  python3-coverage,
- python3-debtcollector,
  python3-docutils,
  python3-fixtures,
  python3-mimeparse,
@@ -61,7 +60,6 @@
 Package: python3-oslo.config
 Architecture: all
 Depends:
- python3-debtcollector,
  python3-docutils,
  python3-netaddr,
  python3-oslo.i18n,

=== debian/watch ===
version=4
opts="mode=git,uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/oslo.config refs/tags/(\d[brc\d\.]+)

## python-oslo.config 10.2.0

=== debian/changelog ===
python-oslo.config (1:10.2.0-0ubuntu1) resolute; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    gazpacho.
  * d/watch: update version
  * d/u/signing-key.asc: update for gazpacho
  * d/patches/*: refresh patches
  * d/tests/python-import: No longer use setup.py.
  * d/p/fix-subcommand-test-python314.patch: Add patch.
  * New upstream release for OpenStack Gazpacho. (LP: #2138121)

 -- Myles Penner <myles.penner@canonical.com>  Wed, 28 Jan 2026 12:28:15 -0800

python-oslo.config (1:10.0.0-0ubuntu1) questing; urgency=medium

  [ Guillaume Boutry ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    flamingo.

  [ Myles Penner ]
  * New upstream release for OpenStack Flamingo. (LP: #2116155)
  * d/p/remove-skip_warningiserror.patch: Refresh.

  [ Nick Rosbrook]
  * d/source/options: ignore .launchpad.yaml
  * d/watch: verify upstream tarballs with Flamingo cycle key

 -- Myles Penner <myles.penner@canonical.com>  Thu, 24 Jul 2025 16:24:42 -0400

python-oslo.config (1:9.7.1-0ubuntu1) plucky; urgency=medium

  * New upstream release for OpenStack Epoxy.

 -- James Page <james.page@ubuntu.com>  Thu, 27 Feb 2025 12:49:10 +0000

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/,pgpsigurlmangle=s/$/.asc/ \
http://tarballs.opendev.org/openstack/oslo.config/ oslo[._]config-(\d.*)\.tar\.gz

## python-oslo.config 10.3.0

=== requirements.txt ===
--- 
+++ 
@@ -2,9 +2,8 @@
 # date but we do not test them so no guarantee of having them all correct. If
 # you find any incorrect lower bounds, let us know or propose a fix.
 
-debtcollector>=1.2.0 # Apache-2.0
 netaddr>=0.7.18 # BSD
-stevedore>=1.20.0 # Apache-2.0
+stevedore>=5.6.0 # Apache-2.0
 oslo.i18n>=3.15.3 # Apache-2.0
 rfc3986>=1.2.0 # Apache-2.0
 PyYAML>=5.1 # MIT

=== debian/changelog ===
python-oslo.config (1:10.3.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 24 Feb 2026 16:54:16 +0100

python-oslo.config (1:10.0.0-3) unstable; urgency=medium

  * Clean-up .pybuild folder (Closes: #1045526).

 -- Thomas Goirand <zigo@debian.org>  Mon, 09 Feb 2026 00:25:43 +0100

=== debian/control ===
--- 
+++ 
@@ -31,7 +31,7 @@
  python3-rfc3986,
  python3-sphinxcontrib.apidoc,
  python3-stestr,
- python3-stevedore,
+ python3-stevedore (>= 5.6.0),
  python3-testscenarios,
  python3-testtools,
  python3-yaml,
@@ -67,7 +67,7 @@
  python3-pbr,
  python3-requests,
  python3-rfc3986,
- python3-stevedore,
+ python3-stevedore (>= 5.6.0),
  python3-yaml,
  ${misc:Depends},
  ${python3:Depends},

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 	dh $@ --buildsystem=pybuild --with python3,sphinxdoc
 
 override_dh_auto_clean:
-	rm -rf build *.egg-info
+	rm -rf build *.egg-info .pybuild
 	rm -rf doc/source/reference/api
 	rm -f doc/source/sample.config
 	find . -iname '*.pyc' -delete
